Name: wordnet
Version: 2.1
Release: alt2

Summary: WordNet English lexical reference system

License: Distributable
Group: Text tools
Url: http://www.cogsci.princeton.edu/~wn/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://wordnet.princeton.edu/%version/WordNet-%version.tar.bz2
Source1: WordNet.png
Patch: WordNet-2.0-patch.patch

# it is tcl not bash really
%add_findreq_skiplist %_bindir/wnb

# Automatically added by buildreq on Wed Aug 31 2005
BuildRequires: tcl-devel tk-devel xorg-x11-devel

%description
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package tk
Summary: Tcl/tk frontend WordNet English lexical reference system
Group: Text tools
Requires: %name
Requires: tcl tk

%description tk
wnb is a GUI frontend for WordNet developed with Tcl/Tk


%package -n lib%name-devel
Summary: Includes for WordNet English lexical reference system
Group: System/Libraries
Provides: lib%name
Obsoletes: lib%name

%description -n lib%name-devel
Files for developing with WordNet

%prep
%setup -q -n WordNet-%version

%build
%configure
%__subst 's|/dict|/share/dict/wordnet|g' dict/Makefile
%__subst 's|/doc/|/share/doc/wordnet/|g' doc/{html,pdf,ps}/Makefile
%__subst 's|lib/wnres|/share/wordnet|g' lib/wnres/Makefile
%__subst 's|/usr/local/WordNet-%version/lib/wnres|/usr/share/wordnet|g' src/wnb
%__subst 's|/usr/local/WordNet-2.1/dict|/usr/share/dict/wordnet|' include/wn.h
%make

%install

%makeinstall

%__install -D -m 0644 %SOURCE1 %buildroot%_iconsdir/%name.png

%__install -d -m 0755 %buildroot%_menudir
cat <<EOF > %buildroot%_menudir/%name
?package(%name-tk):command="wnb" \
needs="x11" \
section="Applications/Dictionaries" \
title="WordNet" \
icon="%name.png" \
longtitle="WordNet English lexical reference system" \
genericname="Dictionary"
EOF

%post tk
%update_menus

%postun tk
%clean_menus

%files
%_bindir/wn
%_datadir/dict/%name
%_datadir/%name
%_mandir/*/*
%_docdir/*/*

%files tk
%_bindir/wnb
%_bindir/wishwn*
%_iconsdir/%name.png
%_menudir/*

#%files -n lib%name
#%_libdir/%name

%files -n lib%name-devel
%_libdir/*.a
%_includedir/*

%changelog
* Fri Feb 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt2
- fix requires for wordnet-tk package (bug #9146)

* Wed Aug 31 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt1
- new version
- change dictionary location
- remove libwordnet package

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt2
- fix location of wnb resources
- fix menu and icon

* Thu Jun 10 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt1
- first build for Sisyphus (Thanks Ark Linux)

* Fri Mar 21 2003 Sergio Visinoni <piffio@arklinux.org> 1.7.1-3ark
- Really rebuild binaries when building
- Fix dictionary path

* Mon Nov 05 2002 Natasha Sainty <natasha@arklinux.org> 1.7.1-1ark
- First pkg
